Skip to main content
GET
/
api
/
v3
/
orders
/
list
List Orders
curl --request GET \
  --url https://api-staging.unbridaled.ai/api/v3/orders/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-staging.unbridaled.ai/api/v3/orders/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-staging.unbridaled.ai/api/v3/orders/list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "orders": [
    {
      "uuid": "973c4c41-ce72-42c5-b184-3f0d8d4bb1af",
      "order_type": "invoice",
      "merchant_uuid": "419c61fa-e674-414a-a1e2-7c5270ed9668",
      "order_reference": "999917",
      "external_order_id": "777717",
      "fulfillment_status": null,
      "payment_status": null,
      "ordered_on": "2021-12-15T17:57:09.046284+00:00",
      "created_on": "2021-12-15T17:57:09.046284+00:00",
      "line_items": []
    }
  ],
  "total": 1,
  "offset": 0,
  "limit": 100
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

How many results to return at a time. Defaults to 100.

offset
integer
default:0

How many results to skip. Used for pagination. Defaults to 0.

order_by
enum<string>
default:created_on

Column to sort orders by. Defaults to created_on.

Available options:
created_on,
ordered_on,
total,
merchant_legal_dba
order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
payment_status
enum<string>[]

Filter by payment status.

Available options:
paid,
unpaid
fulfillment_status
enum<string>[]

Filter by fulfillment status.

Available options:
partial,
fulfilled,
unfulfilled
order_type
enum<string>[]

Filter by order type.

Available options:
invoice,
memo
has_unfulfilled_line_item
boolean

Filter to orders that have at least one unfulfilled line item.

debug
boolean[]

Filter by debug mode flag on orders.

Response

200 - application/json

OK

orders
object[]
total
integer
offset
integer
limit
integer